# Unit arp

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

Driver->Net->L3->`ARP` - Address Resolution Protocol Driver.

## Uses

- tracer
- lmemorymanager
- util
- lists
- console
- terminal
- net
- nettypes
- netutils
- netlog
- eth2
- ipv4

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Record `TARPCacheRecord` |

### Functions and Procedures

`procedure register;`
`function IPv4ToMAC(ip : puint8) : puint8;`
`function MACToIIPv4(mac : puint8) : puint8;`
`procedure sendGratuitous;`
`procedure sendRequest(ip : puint8);`
`procedure send(hType : uint16; pType : uint16; op : uint16; p_context : PPacketContext);`
`function resolveIP(ip : puint8) : puint8;`

### Types

`PARPCacheRecord = ˆTARPCacheRecord;`

## Description

### Functions and Procedures

`procedure register;`

`function IPv4ToMAC(ip : puint8) : puint8;`

`function MACToIIPv4(mac : puint8) : puint8;`

`procedure sendGratuitous;`

`procedure sendRequest(ip : puint8);`

`procedure send(hType : uint16; pType : uint16; op : uint16; p_context : PPacketContext);`

`function resolveIP(ip : puint8) : puint8;`

### Types

`PARPCacheRecord = ˆTARPCacheRecord;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.